/// Provides interoperability with [Node.js](https://nodejs.org) APIs.
@JS()
library nodejs_interop;

import 'dart:async';
import 'dart:js';
import 'dart:js_util';
import 'dart:typed_data';
import 'package:collection/collection.dart';
import 'package:js/js.dart';
import 'package:platform/platform.dart';

part 'src/async.dart';
part 'src/async/promise.dart';
part 'src/core.dart';
part 'src/core/js_errors.dart';
part 'src/core/js_object.dart';
part 'src/io/nodejs_platform.dart';
part 'src/nodejs/assert/assert_module.dart';
part 'src/nodejs/assert/assertion_error_options.dart';
part 'src/nodejs/assert/js_assertion_error.dart';
part 'src/nodejs/events/event_emitter.dart';
part 'src/nodejs/globals.dart';
part 'src/nodejs/globals/cpu_usage.dart';
part 'src/nodejs/globals/js_system_error.dart';
part 'src/nodejs/globals/process.dart';
part 'src/nodejs/os/cpu.dart';
part 'src/nodejs/os/cpu_times.dart';
part 'src/nodejs/os/os_constants.dart';
part 'src/nodejs/os/os_module.dart';
part 'src/nodejs/os/user_info.dart';
part 'src/nodejs/path/path.dart';
part 'src/nodejs/path/path_module.dart';
