part of nodejs_interop;

/// Indicates the failure of an assertion.
/// Such errors commonly indicate inequality of actual and expected value.
@JS(r'$assert.AssertionError')
abstract class JsAssertionError extends JsError {

  /// Creates a new assertion error.
  external factory JsAssertionError(AssertionErrorOptions options);

  /// The actual value.
  external dynamic get actual;

  /// The expected value.
  external dynamic get expected;

  /// Value indicating whether the error [message] is generated.
  external bool get generatedMessage;

  /// The comparison operator used by the assertion.
  external String get operator;
}
