/// The [globals](https://nodejs.org/api/globals.html) module.
part of nodejs_interop;

/// The directory path of the current module.
@JS('__dirname')
external String get dirname;

/// The file path of the current module. This is the resolved absolute path of the current module file.
@JS('__filename')
external String get filename;

/// The process object.
@JS('process')
external Process get process;

/// Requires the module with the specified [identifier].
@JS('require')
external dynamic _require(String identifier);

/// Requires the JavaScript module with the specified [identifier].
dynamic require(String identifier) {
  var module = '\$${identifier.replaceAll(new RegExp('[-/@]'), '_')}';
  if (context[module] == null) context[module] = (context['require'] as JsFunction).apply([identifier]);
  return _require(identifier);
}
