part of nodejs_interop;

/// The time usage of a CPU core.
@JS()
@anonymous
abstract class CpuTimes {

  /// Creates a new CPU time usage object.
  external factory CpuTimes({int idle, int irq, int nice, int sys, int user});

  /// The number of milliseconds the CPU has spent in idle mode.
  external int get idle;

  /// The number of milliseconds the CPU has spent in interrupt request mode.
  external int get irq;

  /// The number of milliseconds the CPU has spent in scheduling priority mode.
  external int get nice;

  /// The number of milliseconds the CPU has spent in system mode.
  external int get sys;

  /// The number of milliseconds the CPU has spent in user mode.
  external int get user;
}
