part of nodejs_interop;

/// Commonly used operating system specific constants for error codes, process signals, and so on.
@JS()
abstract class OsConstants {

  /// The [`dlopen`](http://manpages.ubuntu.com/manpages/xenial/en/man3/dlopen.3.html) constants.
  external OsDlopenConstants get dlopen;

  // TODO !!! implement the other constants.
}

/// Provides the [`dlopen`](http://manpages.ubuntu.com/manpages/xenial/en/man3/dlopen.3.html) constants.
@JS()
abstract class OsDlopenConstants {

  /// Perform lazy binding. Node.js sets this flag by default.
  external int get RTLD_LAZY;

  /// Resolve all undefined symbols in the library before `dlopen` returns.
  external int get RTLD_NOW;

  /// Symbols defined by the library will be made available for symbol resolution of subsequently loaded libraries.
  external int get RTLD_GLOBAL;

  /// The converse of [RTLD_GLOBAL]. This is the default behavior if neither flag is specified.
  external int get RTLD_LOCAL;

  /// Make a self-contained library use its own symbols in preference to symbols from previously loaded libraries.
  external int get RTLD_DEEPBIND;
}
