part of nodejs_interop;

/// Information about a user.
@JS()
@anonymous
abstract class UserInfo {

  /// Creates a new CPU time usage object.
  external factory UserInfo({String username, int uid, int gid, String homedir, String shell});

  /// The number of milliseconds the CPU has spent in scheduling priority mode.
  external int get gid;

  /// The number of milliseconds the CPU has spent in user mode.
  external String get homedir;

  /// The number of milliseconds the CPU has spent in system mode.
  external String get shell;

  /// The number of milliseconds the CPU has spent in interrupt request mode.
  external int get uid;

  /// The number of milliseconds the CPU has spent in idle mode.
  external String get username;
}
