import 'dart:js_util';
import 'package:nodejs_interop/nodejs_interop.dart';
import 'package:test/test.dart';

/// Tests the features of the `core` functions.
void main() => group('core', () {
  group('convertToDart()', () {
    test('should leave unchanged the supported Dart types', () {
      var now = new DateTime.now();
      expect(convertToDart(null), isNull);
      expect(convertToDart(false), isFalse);
      expect(convertToDart(123), equals(123));
      expect(convertToDart(-123.456), equals(-123.456));
      expect(convertToDart(now), equals(now));
      expect(convertToDart('foo'), equals('foo'));
    });

    test('should convert the supported JavaScript types', () {
      var object = newObject();
      expect(convertToDart(object), allOf(isMap, isEmpty));
      setProperty(object, 'foo', 'bar');
      expect(convertToDart(object), allOf(isMap, hasLength(1), containsPair('foo', 'bar')));
    });
  });
});
